//{block name="backend/emotion/view/detail/settings" append}
Ext.define('Shopware.apps.Emotion.etracker.view.detail.Settings', {

    /**
     * Defines an override applied to a class.
     * @string
     */
    override: 'Shopware.apps.Emotion.view.detail.Settings',

    /**
     * We override this method to add our own field
     * @returns *
     */
    createLandingpageFieldset: function() {
        var me = this;

        var fieldSet = me.callParent();
        fieldSet.add(
            Ext.create('Ext.form.field.Text', {
                name: 'attribute[swagETrackerLandingPageId]',
                fieldLabel: 'eTracker Landing-Page ID',
                anchor: '100%'
            })
        );
        return fieldSet;
    }
});
//{/block}